GLSA-200904-07 : Xpdf: Untrusted search path

This script is Copyright (C) 2009-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200904-07
(Xpdf: Untrusted search path)

Erik Wallin reported that Gentoo's Xpdf attempts to read the 'xpdfrc'
file from the current working directory if it cannot find a '.xpdfrc'
file in the user's home directory. This is caused by a missing
definition of the SYSTEM_XPDFRC macro when compiling a repackaged
version of Xpdf.

Impact :

A local attacker could entice a user to run 'xpdf' from a directory
containing a specially crafted 'xpdfrc' file, resulting in the
execution of arbitrary code when attempting to, e.g., print a file.

Workaround :

Do not run Xpdf from untrusted working directories.

See also :

http://www.gentoo.org/security/en/glsa/glsa-200904-07.xml

Solution :

All Xpdf users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=app-text/xpdf-3.02-r2'

Risk factor :

Medium / CVSS Base Score : 6.9
(CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 36095 (gentoo_GLSA-200904-07.nasl)

Bugtraq ID:

CVE ID: CVE-2009-1144